package com.jwipc.sys.logic;

import cn.hutool.core.lang.Pair;
import com.jwipc.sys.dto.RoleResDTO;
import com.jwipc.sys.dto.UserShortcutDTO;

import java.util.List;

/**
 * <p> </p>
 *
 * @author BOGON
 * @version 1.0
 * @since JDK 1.8
 */
public interface ShortcutLogic {
    List<UserShortcutDTO> getUserShortcut();

    void saveConfig(String userShortcutJson);

    Pair<List<RoleResDTO>, List<UserShortcutDTO>> getUserRes();

}